curl --request PUT \
--url https://east.sandbox.spade.com/users/{userId}/counterparty-category-personalizations \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"counterpartyId": "d730906b-f1a8-49f1-9939-f27390170a6d",
"categoryId": "011-000-000-000"
}
'import requests
url = "https://east.sandbox.spade.com/users/{userId}/counterparty-category-personalizations"
payload = {
"counterpartyId": "d730906b-f1a8-49f1-9939-f27390170a6d",
"categoryId": "011-000-000-000"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
counterpartyId: 'd730906b-f1a8-49f1-9939-f27390170a6d',
categoryId: '011-000-000-000'
})
};
fetch('https://east.sandbox.spade.com/users/{userId}/counterparty-category-personalizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"counterpartyId": "d730906b-f1a8-49f1-9939-f27390170a6d",
"categoryId": "011-000-000-000",
"userId": "user1234"
}{
"counterpartyId": "d730906b-f1a8-49f1-9939-f27390170a6d",
"categoryId": "011-000-000-000",
"userId": "user1234"
}{
"invalidField": [
"This field is required."
]
}{
"details": "Incorrect authentication credentials."
}{
"details": "Internal server error."
}Create a user-level counterparty category personalization
Create a user-level counterparty category personalization.
This personalization will apply to all enrichments that take place at the given counterpartyId for the user with the given userId.
To learn more about user category personalization, please read the User Category Personalization Guide.
Authorizations
Path Parameters
The userId of the relevant user.
Body
Schema for creating a counterparty category personalization.
Response
Updated
The newly created counterparty category personalization.
The ID of the counterparty.
"d730906b-f1a8-49f1-9939-f27390170a6d"
The ID of the category. Can be a Spade category ID (e.g. "011-000-000-000") or a custom category ID (e.g. "e4cf5379-583f-44ed-b625-366044e666e6").
"011-000-000-000"
The ID of the newly created counterparty category personalization.
"user1234"

